# Wiki

- https://wiki.warpzone.ms/infrastruktur:anet_a8


# Hardware

- ANET A8 Druckerbausatz
- Board: BIGTREETECH SKR mini E3 V1.0:
  - https://github.com/bigtreetech/BIGTREETECH-SKR-mini-E3
- Display: BIGTREETECH TFT3.5 V2.0: 
  - https://github.com/bigtreetech/BIGTREETECH-TFT35-V2.0.git
  - https://github.com/bigtreetech/BIGTREETECH-TouchScreenFirmware.git


# Firmware bauen auf Basis vom offiziellen Marlin git

Die hier basiert auf Marlin commit: 5de74e65cd68bb9379e6502d00d4c8e65edbb918

- Clone final: https://github.com/MarlinFirmware/Marlin/tree/2.0.x
- BIGTREETECH SKR mini E3 V1.0 Änderungen adden:
  - https://github.com/bigtreetech/BIGTREETECH-SKR-mini-E3/tree/master/firmware/V1.0
  - env_default = STM32F103RE_bigtree
- Anet Änderungen adden:
  - dazu alte angepasste firmware gegen alte org Marlin diffen und Änderungen in neue FW packen
- bauen, sdkarte mit FAT formatieren, firmware.bin ins hauptverzeichnis, in Drucker tun, anmachen, led blinkt für paar Sekunden = drucker flashed, firmware.bin sollte danach firmware.cur heißen
- Alten Z-Offset Wert auslesen und merken: M851
- eeprom löschen: M502, M500, M501
- testen


# Seltsamkeiten

- I figured it out. This is due to my old version of STSTM32 lib, Platformio for unknown reason didn't want to update it. I had to manually delete folders .platformio\packages\framework-arduinoststm32-maple\ and .platformio\platforms\ststm32. After it, platformio downloaded lastest 5.7.0 version and firmware prepared successfully.
- DAS VER&"%&($57($ EEPROM!!!!! *   M500 - Store settings to EEPROM. *   M501 - Read settings from EEPROM. (i.e., Throw away unsaved hanges) *   M502 - Revert settings to "factory" defaults. (Follow with M500 to init the EEPROM.)
- immer mal die karte formatieren mit fat (wenn er immer wieder flashed und die datei nicht umbenennt)
- wenn die steps per unit nicht wollen: flashen, m502, m500, neustart, letzten 3 schritte wiederholen bis tut, evtl nochmal eeprom am ende